@import url("https://fonts.googleapis.com/css2?family=Roboto+Condensed:wght@300;400;700&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Roboto Condensed", sans-serif;
}

body {
  background-color: #333;
}

main {
  min-height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

.card {
  width: 24rem;
  height: 36rem;
  background-color: #fff;
  border-radius: 5px;
  overflow: hidden;
  cursor: pointer;
  position: relative;
  box-shadow: 0 10px 30px 5px rgba(0, 0, 0, 0.2);
}

.card img {
  position: absolute;
  object-fit: cover;
  width: 100%;
  height: 100%;
}

.card-content {
  position: absolute;
  bottom: -50px;
  left: 0px;
  padding: 15px 35px;
  background-color: #fff;
  color: #333;
  transition: bottom 0.3s ease-in-out;
}

.card:hover .card-content {
  bottom: 0;
}

.card-content h2 {
  min-height: 50px;
  color: #40739e;
  font-weight: 400;
}

.card-content p {
  max-height: 0;
  overflow: hidden;
  margin-bottom: 10px;
  transition: max-height 0.3s ease-in-out;
  line-height: 20px;
}

.card:hover .card-content p {
  max-height: 150px;
}

.card-content a {
  text-decoration: none;
}

.card-content a:hover {
  text-decoration: underline;
}
